/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "geometry.pmh"

using namespace std;

#include "jburkardt/spline.hpp"
#include "jburkardt/spline.cpp"

namespace fe
{

template <>
double Spline<double,double>::Basis2D(double a_t,I32 a_count,
	double* a_pKnot,double* a_pControl)
{
	return spline_b_val(a_count,a_pKnot,a_pControl,a_t);
}

} // namespace

